!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Module BcSet
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: bcset.f90,v 1.2 2005/04/22 15:01:52 sugiyama Exp $ 
!   * Tag Name: $Name: arare3-20050902 $
!   * Change History: 
!
!== Overview 
!
!Υפꤹ뤿Υ⥸塼. 
!Ǥ붭ϰʲ̤.
!   *  (ʿΤ)
!   * 
!   * ͳ
!
!== Error Handling
!
!== Known Bugs
!
!ʿζϼǥ󥰤Ƥʤ.
!
!
!== Note
!
!deepconv/arare ΥǤϱľ˼ʤȤ. 
!ʿ, ľȤ໤̵, ήΥƥȷ׻.
!
!== Future Plans
!
!ʿζȤƸɤ򥳡ǥ
!
                                                                 !=end

module bcset
  !--- ۤηػ
  implicit none

  !--- save °
  save
                                                                 !=begin
  !== Public Interface
  character(4)          :: ss_Bc        !(顼)
  character(4)          :: fs_Bc        !(٥ȥ u)
  character(4)          :: sf_Bc        !(٥ȥ w)
                                                                 !=end
contains
                                                                 !=begin
  !== Procedure Interface 
  !
  !=== Initialize module and acquire NAMELIST
  !
  !NAMELIST 鶭Υפꤹ. 
  !NAMELIST ̾ϳꤹ.
  !
  !顼ѿȥ٥ȥѿǤ, Ʊ/ͳǤ
  !Τۤʤ. Τ BcX Ǥ, 
  !   * C:  (ʿΤ)
  !   * R: 
  !   * F: ͳ
  !Ϳ, **_Bc Ǥ, 
  !   * C:  (ʿΤ)
  !   * sA: 顼̤򶭳򶴤Ⱦо
  !   * fA: ٥ȥ̤򶭳򶴤Ⱦо
  !   * sS: 顼̤򶭳򶴤о
  !   * fA: ٥ȥ̤򶭳򶴤Ⱦо
  !Ϳ

  subroutine bcset_init(cfgfile)

    !=== Dependency
    use dc_trace, only: BeginSub, EndSub
    use dc_message,only: MessageNotify

    !=== Input
    character(*), intent(in) :: cfgfile
                                                                   !=end
    character(2)       :: BcX
    character(2)       :: BcZ
                                                                   !=begin
    !=== NAMELIST    
    NAMELIST /bcset/ BcX, BcZ
                                                                   !=end

    open (10, FILE=cfgfile)
    read(10, NML=bcset)
    close(10)

    call BeginSub("bcset_init", &
&                 fmt="%c",       &
&                 c1="Initialize boundary conditions. ")
    

    !--- Υפ (boundary.f90 )
    if (trim(BcX) == "C" .AND. trim(BcZ) == "R") then        
       ss_Bc = "CsS"   
       fs_Bc = "CsA"
       sf_Bc = "CfA"

    elseif (trim(BcX) == "C" .AND. trim(BcZ) == "F") then        
       ss_Bc = "CsS"   
       fs_Bc = "CsS"
       sf_Bc = "CfA"

    !--- test 2005-01-13
    elseif (trim(BcX) == "C" .AND. trim(BcZ) == "RF") then        
       ss_Bc = "CsS"   
       fs_Bc = "CsAS"
       sf_Bc = "CfA"

    !--- ή׻ƥѤζ. ºݤ򤯾ˤ
    !--- Ѥʤ (2005/02/02 )
    elseif (trim(BcX) == "F" .AND. trim(BcZ) == "F") then        
       ss_Bc = "sSsS"   
       fs_Bc = "fSsS"
       sf_Bc = "sSfS"

    else 
       call MessageNotify("Error", "bcset_init", &
&                         "unknown boundary condition" )
    end if

    !==== ǧ
!    write(*,*) "ss_Bc ", ss_Bc
!    write(*,*) "fs_Bc ", fs_Bc
!    write(*,*) "sf_Bc ", sf_Bc

    call EndSub("bcset_init")

  end subroutine bcset_init
  
end module bcset



