!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Module ChemSet
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: chemset.f90,v 1.2 2005/04/22 15:01:52 sugiyama Exp $ 
!   * Tag Name: $Name: arare3-20050902 $
!   * Change History: 
!
!== Overview 
!
!ֹڤӸ̤Ϳ⥸塼 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!  * ֹ 20 ޤǤͿƤʤΤ
!  * Υץϸ߻ȤƤʤ. Ū˻Ȥͽ. 
!
!== Future Plans
!
                                                                 !=end

module chemset
  save
                                                                 !=begin
  !== Public Interface
  real(8)                    :: atmwt(20)       !
  character(2)               :: atmsymbol(20)   !ֹ

  !== Public Data
  integer(8), parameter      :: amax = 20       !ֹκ
                                                                 !=end  
contains
                                                                 !=begin
  !== Procedure Interface 
  !
  !=== Initialize module
  !
  !ҵ, ̤Ϳ
  !
  subroutine chemset_init
    !=== Dependency
    use dc_trace,      only: BeginSub, EndSub 
                                                                 !=end
    call BeginSub("chemset_init", &
&                 fmt="%c",       &
&                 c1="Initialize parameters of chemical processes. ")
                                                                 !=begin
    !=== ҵ
    atmsymbol = (/"H ", "He", &
         & "Li", "Be", "B ", "C ", "N ", "O ", "F ", "Ne", &
         & "Na", "Mg", "Al", "Si", "P ", "S ", "Cl", "Ar", &
         & "K ", "Ca"/)
    
    !===  (kg/mol). ͤϲ 4 ()
    atmwt = (/1.00794d-3, 4.002602d-3, &
         & 6.941d-3, 9.012128d-3, 10.811d-3, 12.0107d-3, &
         & 14.00674d-3, 15.9994d-3, 18.9984032d-3, 20.1797d-3, &
         & 22.989770d-3, 24.3050d-3, 26.981538d-3, 28.0855d-3, &
         & 30.973761d-3, 32.066d-3, 35.4527d-3, 39.948d-3, &
         & 39.0983d-3, 40.078d-3/) 
                                                                 !=end    

    call EndSub("chemset_init")

  end subroutine chemset_init
  
end module chemset
