!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Module NameSet
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: nameset.f90,v 1.2 2005/04/22 15:01:52 sugiyama Exp $ 
!   * Tag Name: $Name: arare3-20050902 $
!   * Change History: 
!
!== Overview 
!
! netCDF ե˵ܤ¸ NAMELIST . 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
                                                                 !=end

module nameset
  implicit none
  save
                                                                 !=begin
  !== Public Interface
  character(80) :: ExpTitle  !ǡɽ
  character(80) :: ExpSrc    !ǡ
  character(80) :: ExpInst   !ǽѹԡȿ
                                                                 !=end
contains
                                                                 !=begin
  !== Procedure Interface 
  !
  !=== Initialize module and acquire NAMELIST
  !
  !netCDF ˽񤭹¸̾ NAMELIST ɤ߹
  !
  subroutine nameset_init(cfgfile)

    !=== Dependency
    use dc_trace,      only: BeginSub, EndSub 

    !=== Input
    character(*), intent(in) :: cfgfile
    
    !=== NAMELIST
    NAMELIST /nameset/ ExpTitle, ExpSrc, ExpInst
                                                                 !=end        

    call BeginSub("nameset_init", &
&                 fmt="%c",       &
&                 c1="Initialize experiment setup comment.")

    open (10, FILE=cfgfile)
    read(10, NML=nameset)
    close(10)


    !==== ǧ
!    write(*,*) "ExpTitle ", ExpTitle
!    write(*,*) "ExpSrc ", ExpSrc
!    write(*,*) "ExpInst ", ExpInst


    call EndSub("nameset_init")
    
  end subroutine nameset_init

end module nameset

